Source: kf6-kactivities
Section: libs
Priority: optional
Maintainer: Jonathan Esk-Riddell <jr@jriddell.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kwindowsystem-dev,
               libboost-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/frameworks/kactivities
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities.git

Package: kf6-kactivities
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Command Line Tool for KActivities
 kactivities-cli is a command line tool to interact with KActivities
 or for help with shell completion.

Package: kf6-kactivities-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kactivities (= ${binary:Version}),
         kf6-kconfig-dev,
         kf6-kcoreaddons-dev,
         kf6-kwindowsystem-dev,
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Description: development files for kactivities.
 This library provides functionality for managing Activities.
 .
 Contains development files for kactivities.

Package: kactivities-bin
Architecture: all
Depends: kf6-kactivities
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6activities-doc
Architecture: all
Depends: kf6-kactivities
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6activities6
Architecture: all
Depends: kf6-kactivities
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-org-kde-activities
Architecture: all
Depends: kf6-kactivities
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6activities-dev
Architecture: all
Depends: kf6-kactivities-dev
Description: Dummy transitional
  Transitional dummy package.
